# py-dem-bones $RELEASE_VERSION

<div align="center">

[![PyPI version](https://badge.fury.io/py/py-dem-bones.svg)](https://badge.fury.io/py/py-dem-bones)
[![Build Status](https://github.com/loonghao/py-dem-bones/workflows/Build%20and%20Release/badge.svg)](https://github.com/loonghao/py-dem-bones/actions)
[![Documentation Status](https://readthedocs.org/projects/py-dem-bones/badge/?version=latest)](https://py-dem-bones.readthedocs.io/en/latest/?badge=latest)
[![Python Version](https://img.shields.io/pypi/pyversions/py-dem-bones.svg)](https://pypi.org/project/py-dem-bones/)
[![License](https://img.shields.io/github/license/loonghao/py-dem-bones.svg)](https://github.com/loonghao/py-dem-bones/blob/master/LICENSE)
[![Downloads](https://static.pepy.tech/badge/py-dem-bones)](https://pepy.tech/project/py-dem-bones)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![Ruff](https://img.shields.io/badge/ruff-enabled-brightgreen)](https://github.com/astral-sh/ruff)

</div>

## 🚀 What's New

$CHANGES

For detailed release notes, see the [CHANGELOG.md](https://github.com/loonghao/py-dem-bones/blob/main/CHANGELOG.md).

## 📦 Installation

### Using pip

```bash
pip install py-dem-bones==$RELEASE_VERSION
```

### From source

```bash
git clone --recursive https://github.com/loonghao/py-dem-bones.git
cd py-dem-bones
pip install -e .
```

## 💻 Supported Platforms

- Windows
- Linux
- macOS

## 🐍 Python Compatibility

- Python 3.7+

## ✨ Key Features

- Bone weight calculation based on the Dem-Bones algorithm
- RBF interpolation functionality using SciPy
- Efficient C++ implementation with Python bindings
- Support for various RBF kernel functions (thin plate spline, multiquadric, gaussian, etc.)

## 📚 Documentation

For detailed documentation, visit [https://py-dem-bones.readthedocs.io/](https://py-dem-bones.readthedocs.io/)
